<div class="header">{{"Best " +category_name+" Items"}}</div>
<div class="card-container">

    <ng-container *ngFor="let item of category_items;let i = index;trackBy: categoryItemsTrackByFn">
        <div class="card" (click)="onClickItem(item)">
            <img class="thumb" [src]="item.strMealThumb" [alt]="item.strMeal" srcset="">
            <span class="name">{{item.strMeal}}</span>
            <span class="price"><img src="/assets/icons/currency_rupee.svg" alt="" srcset=""><span>{{item.price +" /-"}}
                </span></span>
            <div class="cart-action" *ngIf="item.cartCount">
                <img (click)="decrementCount(item);$event.stopPropagation()" src="assets/icons/remove.svg" alt=""
                    srcset="">
                <div class="item-quantity" (click)="$event.stopPropagation()">{{item.cartCount}}</div>
                <img (click)="incrementCount(item);$event.stopPropagation()" src="assets/icons/add.svg" alt=""
                    srcset="">

            </div>
            <button *ngIf="!item.cartCount" class="add-button"
                (click)="addToCart(item);$event.stopPropagation()">ADD</button>

        </div>

    </ng-container>


</div>